.topNavbar,
.main-menu-sidebar,
.lang-menu {
  z-index: 999;
}

.topNavbar {
  position: fixed !important;
  top: 0px;
  background-color: #fff;
  height: 90px;
}

/********* Menu Area *********/

ul.menu,
ul.nav-menu {
  list-style: none;
}

.menu-item {
  margin: 20px auto;
}

.menu-item a {
  padding: 10px;
}

.topbar-btn {
  align-self: center;
  align-items: center;
  align-content: center;
  font-size: 2rem;
  color: var(--cerulean);
  position: fixed;
  width: 50px;
  height: 50px;
  cursor: pointer;
  z-index: 999;
}

.topbar-btn:hover {
  border: 3px solid var(--cerulean);
  border-radius: 20px;
}

.menu-btn {
  top: 20px;
  left: 20px;
}

.search-btn-top-navbar {
  top: 20px;
  right: 80px;
}

.lang-btn {
  top: 20px;
  right: 20px;
  width: 100px;
  padding: 0px 15px;
  border: 3px solid var(--cerulean);
  border-radius: 20px;
}

.lang-btn:hover {
  border: 3px dashed var(--cerulean);
}

.lang-btn-on-menu {
  height: 50px;
  width: 230px;
  padding-top: 5px;
  border: 3px solid var(--cerulean);
  border-radius: 20px;
  margin: 15px auto;
  cursor: pointer;
  color: var(--cerulean);
}

.lang-btn-on-menu:hover {
  border: 3px dashed var(--cerulean);
}

.user-btn {
  top: 20px;
  right: 80px;
}

/*** LOGO ***/

.logo {
  max-width: 300px;
  margin: 0px auto;
}

/***** sidebar menu *****/

.main-menu-sidebar {
  display: none;
  position: absolute;
  top: 80px;
  left: 0px;
  width: 300px;
  height: fit-content;
  border-top: 3px solid var(--cerulean);
  border-right: 3px solid var(--cerulean);
  border-bottom: 3px solid var(--cerulean);
  border-radius: 0px 20px 20px 0px;
  background-color: rgba(255, 255, 255, 0.95);
}

.menu-links-container {
  height: fit-content;
  margin: 60px auto;
}

.main-menu-sidebar a {
  font-size: 1.4rem;
  font-weight: 600;
  text-align: center;
  text-decoration: none;
  color: var(--cerulean);
  margin: auto;
}

.w3-bar-block .w3-bar-item {
  margin-top: 10px;
}

.main-menu-sidebar a:hover {
  background-color: var(--cerulean);
  color: #fff;
  border-radius: 10px;
}

.social-media-buttons a {
  padding: 10px;
  min-width: 40px;
}

.social-media-buttons a:hover {
  background-color: var(--cerulean);
  color: #fff;
  border-radius: 10px;
}

a.mailto {
  font-size: 1rem;
  padding: 10px;
  border-radius: 40px;
}

/*** Language Selector ***/
.lang-menu {
  display: none;
  position: absolute;
  top: 90px;
  right: 0px;
  width: clamp(230px, 30vw, 260px);
  height: fit-content;
  border-left: 3px solid var(--cerulean);
  border-top: 3px solid var(--cerulean);
  border-bottom: 3px solid var(--cerulean);
  border-radius: 20px 0px 0px 20px;
  background-color: rgba(255, 255, 255, 0.95);
}

.lang-menu .w3-bar-item {
  font-size: 1.4rem;
  font-weight: 600;
  text-decoration: none;
  color: var(--cerulean);
  margin: 15px auto;
  cursor: pointer;
  border: 3px solid transparent;
}

.lang-menu .w3-bar-item:hover {
  border: 3px solid var(--cerulean);
  border-radius: 10px;
}

.flag-icon {
  width: 28px;
  margin-right: 0px;
}

.sidemenu-hr {
  border-top: 4px solid var(--cerulean);
  width: 230px;
  margin: auto;
  border-radius: 30%;
}

.icon {
  color: var(--cerulean);
  width: 1.2em;
  height: 1.2em;
  vertical-align: middle;
  display: inline-block;
  transition: color 0.2s;
}

.icon-link:hover .icon {
  background-color: var(--cerulean);
  color: #fff;
}

.icon-link:hover .plane-icon {
  background-color: #fff;
  color: var(--cerulean);
}
